package com.sagacloud.route.processors;
/*
 * Author: Jxing
 * Create Time: 2018/7/23
 */

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sagacloud.cache.ProPasCache;
import com.sagacloud.utils.VendersUtil;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;

public class GetNameByProjectIds implements Processor {
    @Override
    public void process(Exchange exchange) throws Exception {
        String body = exchange.getIn().getBody(String.class);
        JSONObject result = JSONObject.parseObject(body);
        JSONArray arr = result.getJSONArray("Content");
        HashSet<String> idSet = (HashSet<String>) exchange.getProperty("projectIds");
        JSONArray ret = new JSONArray();
        for (int i = 0; i < arr.size(); i++) {
            JSONObject proNode = arr.getJSONObject(i);
            if(!idSet.contains(proNode.getString("id"))){
                continue;
            }
            JSONObject obj = new JSONObject();
            obj.put("id", proNode.getString("id"));
            JSONObject infoNode = proNode.getJSONObject("infos");
            String pjName = "";
            if(infoNode.getString("ProjLocalName")!=null){
                pjName = infoNode.getString("ProjLocalName");
            }
            if(pjName.length() == 0 && infoNode.getString("ProjName") != null){
                pjName = infoNode.getString("ProjName");
            }
            obj.put("name", pjName);
            ret.add(obj);
        }
        exchange.getOut().setBody(VendersUtil.successJsonMsg("", ret));
    }
}
